import type { Metadata } from 'next';
import ThemeWrapper from '@/lib/components/ThemeWrapper';
import './globals.css';
import AuthWrapper from '@/lib/components/AuthWrapper';
import { getServerSession } from 'next-auth';
import NavigationPanel from '@/lib/components/ui/NavigationPanel';
import { Flex } from '@radix-ui/themes';

export const metadata: Metadata = {
  title: 'Maddy Admin',
  description: 'Maddy mail server configuration panel',
};

export default async function RootLayout({
  children,
}: {
  children: React.ReactNode
}) {
  return (
    <html lang="en">
      <body className={`p-4`}>
        <ThemeWrapper>
          <AuthWrapper session={await getServerSession()}>
            <Flex direction='row' gap='4'>
              <div><NavigationPanel /></div>
              <div className='w-full p-4'>{children}</div>
            </Flex>
          </AuthWrapper>
        </ThemeWrapper>
      </body>
    </html>
  );
}
