"use client";

import { Button, Flex, Heading } from "@radix-ui/themes";
import { Session } from "next-auth";
import { SessionProvider, signIn } from "next-auth/react";

export default function AuthWrapper({
  children,
  session,
}: {
  children: React.ReactNode,
  session: Session | null,
}) {
  if (session?.user) {
    return (
      <SessionProvider session={session}>
        {children}
      </SessionProvider>
    );
  } else {
    return (
        <Flex direction='column' gap='3' align='center'>
          <Heading size='8'>Unauthenticated</Heading>
          <Button variant="outline" size='3' onClick={() => signIn()}>Sign in</Button>
        </Flex>
    );
  }
}