"use client";

import '@radix-ui/themes/styles.css';
import { Theme } from "@radix-ui/themes";
import { useEffect, useState } from 'react';

export default function ThemeWrapper({
  children,
}: {
  children: React.ReactNode
}) {
  const [dark, setDark] = useState(true);

  // Automatically respond to theme changes
  useEffect(() => {
    console.log("meow");
    setDark(window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches);

    const onThemeChange = (event: MediaQueryListEvent) => {
      setDark(event.matches);
    };

    let match = window.matchMedia('(prefers-color-scheme: dark)');
    match.addEventListener('change', onThemeChange);

    return () => match.removeEventListener('change', onThemeChange);
  }, []);

  return <Theme
    accentColor='ruby'
    grayColor='slate'
    radius='large'
    scaling='95%'
    appearance={dark ? 'dark' : 'light'}
  >
    {children}
  </Theme>;
};
